Bug 1668733 (CVE-2019-6339) - CVE-2019-6339 drupal: Vulnerability in the PHP's built-in phar stream wrapper
Summary: CVE-2019-6339 drupal: Vulnerability in the PHP's built-in phar stream wrapper
Status: NEW
Alias: CVE-2019-6339
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20190116,repor...
Keywords: Security
Depends On: 1668758
Blocks: 1668735
TreeView+ depends on / blocked
 
Reported: 2019-01-23 13:10 UTC by Dhananjay Arunesh
Modified: 2019-01-23 14:42 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-01-23 13:10:53 UTC
A remote code execution vulnerability exists in PHP's built-in phar stream wrapper when performing file operations on an untrusted phar:// URI. Some Drupal code (core, contrib, and custom) may be performing file operations on insufficiently validated user input, thereby being exposed to this vulnerability. This vulnerability is mitigated by the fact that such code paths typically require access to an administrative permission or an atypical configuration.

Upstream Issue:

https://www.drupal.org/sa-core-2019-002

Comment 1 Dhananjay Arunesh 2019-01-23 14:20:21 UTC
Created drupal tracking bugs for this issue:

Affects: fedora-all [bug 1668758]


Note You need to log in before you can comment on or make changes to this bug.